package internal

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestSortVersionsDesc(t *testing.T) {
	versions := SortVersionsDesc([]string{
		"0.2.3+1.2.2",
		"1.0.0+2.2.2",
	})

	assert.Equal(t, "1.0.0+2.2.2", versions[0])
	assert.Equal(t, "0.2.3+1.2.2", versions[1])
}
